Package net.snowflake.client.jdbc

## Class SnowflakeResultChunk

- java.lang.Object
- - net.snowflake.client.jdbc.SnowflakeResultChunk

Direct Known Subclasses:
  `ArrowResultChunk`, `JsonResultChunk`

    public abstract class SnowflakeResultChunk
    extends Object

Class for result chunk

### Nested Class Summary

Nested Classes
`static class` `SnowflakeResultChunk.DownloadState`

### Constructor Summary

Constructors
`SnowflakeResultChunk​(String url, int rowCount, int colCount, int uncompressedSize)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getColCount()`
`Condition` `getDownloadCondition()`
`String` `getDownloadError()`
`SnowflakeResultChunk.DownloadState` `getDownloadState()`
`long` `getDownloadTime()`
`ReentrantLock` `getLock()`
`long` `getParseTime()`
`int` `getRowCount()`
`String` `getScrubbedUrl()`
`int` `getUncompressedSize()`
`String` `getUrl()`
`boolean` `isReleased()`
`void` `setDownloadError​(String downloadError)`
`void` `setDownloadState​(SnowflakeResultChunk.DownloadState downloadState)`
`void` `setDownloadTime​(long downloadTime)`
`void` `setParseTime​(long parseTime)`
`void` `setReleased()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SnowflakeResultChunk

    public SnowflakeResultChunk​(String url,
                                int rowCount,
                                int colCount,
                                int uncompressedSize)

### Method Detail

#### isReleased

    public boolean isReleased()

#### setReleased

    public void setReleased()

#### getUrl

    public final String getUrl()

#### getScrubbedUrl

    public final String getScrubbedUrl()

#### getRowCount

    public final int getRowCount()

#### getUncompressedSize

    public final int getUncompressedSize()

#### getColCount

    public final int getColCount()

#### getDownloadTime

    public long getDownloadTime()

#### setDownloadTime

    public void setDownloadTime​(long downloadTime)

#### getParseTime

    public long getParseTime()

#### setParseTime

    public void setParseTime​(long parseTime)

#### getLock

    public ReentrantLock getLock()

#### getDownloadCondition

    public Condition getDownloadCondition()

#### getDownloadError

    public String getDownloadError()

#### setDownloadError

    public void setDownloadError​(String downloadError)

#### getDownloadState

    public SnowflakeResultChunk.DownloadState getDownloadState()

#### setDownloadState

    public void setDownloadState​(SnowflakeResultChunk.DownloadState downloadState)